#!/bin/sh -x


#  See steps A, B, C to adjust the script

#check environment
echo $HOME
echo $S1AS_HOME
echo $JAVA_HOME
echo $PATH

# prepare
rm -rf classes
rm -rf src2
cp -r src src2
#--------------------------------------
# Step A. only replace for MySQL for different identifier
#replace.sh   '\\"'  '`'   src2/*.java
#--------------------------------------
mkdir -p classes/META-INF
cp META-INF/orm.xml classes/META-INF/.
#--------------------------------------
# Step B. choose for each database to configure tests with persistence.xml
#cp META-INF/persistence.xml.derby.el classes/META-INF/persistence.xml
cp META-INF/persistence.xml.oracle4.el classes/META-INF/persistence.xml
#cp META-INF/persistence.xml.mysql.el classes/META-INF/persistence.xml
#cp META-INF/persistence.xml.microsoftdd.el classes/META-INF/persistence.xml
#--------------------------------------

# compile
javac -d classes -classpath $S1AS_HOME/modules/javax.persistence.jar src2/*.java

# Step C. choose for each database to run tests with different jar
# run v3  derby, eclipselink 
#java -javaagent:$S1AS_HOME/modules/org.eclipse.persistence.core.jar -classpath $S1AS_HOME/../javadb/lib/derbyclient.jar:$S1AS_HOME/modules/org.eclipse.persistence.jpa.jar:$S1AS_HOME/modules/org.eclipse.persistence.oracle.jar:$S1AS_HOME/modules/org.eclipse.persistence.asm.jar:$S1AS_HOME/modules/org.eclipse.persistence.antlr.jar:$S1AS_HOME/modules/javax.persistence.jar:$PWD/classes TestClient

# run v3  oracle4, eclipselink 
java -javaagent:$S1AS_HOME/modules/org.eclipse.persistence.core.jar -classpath $SPS_HOME/lib/drivers/oracle/ojdbc/ojdbc6.jar:$S1AS_HOME/modules/org.eclipse.persistence.jpa.jar:$S1AS_HOME/modules/org.eclipse.persistence.oracle.jar:$S1AS_HOME/modules/org.eclipse.persistence.asm.jar:$S1AS_HOME/modules/org.eclipse.persistence.antlr.jar:$S1AS_HOME/modules/javax.persistence.jar:$PWD/classes TestClient

# run v3  mysql, eclipselink 
#java -javaagent:$S1AS_HOME/modules/org.eclipse.persistence.core.jar -classpath $SPS_HOME/lib/drivers/mysql/mysql-connector-java-5.1.7-bin.jar:$S1AS_HOME/modules/org.eclipse.persistence.jpa.jar:$S1AS_HOME/modules/org.eclipse.persistence.oracle.jar:$S1AS_HOME/modules/org.eclipse.persistence.asm.jar:$S1AS_HOME/modules/org.eclipse.persistence.antlr.jar:$S1AS_HOME/modules/javax.persistence.jar:$PWD/classes TestClient


# run v3  microsoftdd, eclipselink 
#java -javaagent:$S1AS_HOME/modules/org.eclipse.persistence.core.jar -classpath $SPS_HOME/lib/drivers/microsoft/dd/smsqlserver.jar:$S1AS_HOME/modules/org.eclipse.persistence.jpa.jar:$S1AS_HOME/modules/org.eclipse.persistence.oracle.jar:$S1AS_HOME/modules/org.eclipse.persistence.asm.jar:$S1AS_HOME/modules/org.eclipse.persistence.antlr.jar:$S1AS_HOME/modules/javax.persistence.jar:$PWD/classes TestClient





